'''OpenGL extension EXT.device_enumeration

This module customises the behaviour of the 
OpenGL.raw.EGL.EXT.device_enumeration to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/device_enumeration.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.EXT.device_enumeration import *
from OpenGL.raw.EGL.EXT.device_enumeration import _EXTENSION_NAME

def glInitDeviceEnumerationEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION

eglQueryDevicesEXT.extension = None
eglQueryDevicesEXT.force_extension = True 
