'''OpenGL extension EXT.get_drawable_type

This module customises the behaviour of the 
OpenGL.raw.GLX.EXT.get_drawable_type to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/get_drawable_type.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLX import _types, _glgets
from OpenGL.raw.GLX.EXT.get_drawable_type import *
from OpenGL.raw.GLX.EXT.get_drawable_type import _EXTENSION_NAME

def glInitGetDrawableTypeEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION